package baseservice

import (
	"github.com/gin-gonic/gin"
	"go-micro.dev/v4/client"
)

type BaseService struct {
	Namespace string
	Client    client.Client
}

func NewBaseService(namespace string, client client.Client) BaseService {
	return BaseService{
		Namespace: namespace,
		Client:    client,
	}
}

type ApiRouter interface {
	RegisterRoutes(r *gin.Engine)
}

func RegisterRouters(r *gin.Engine, routers ...ApiRouter) {
	for _, router := range routers {
		router.RegisterRoutes(r)
	}
}
